Bug 1474639 - [Scale] : Rebalance Logs are bulky.
[Scale] : Rebalance Logs are bulky.
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Susant Kumar Palai
:
Depends On: 1473259
Blocks: 1475662
  Show dependency treegraph
 
Reported: 2017-07-25 02:03 EDT by Susant Kumar Palai
Modified: 2017-08-18 05:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1473259
: 1475662 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Susant Kumar Palai 2017-07-25 02:07:12 EDT
Description:
  Every time all the thread sleeps or wakes up, we log a message about that event. 
Sometime this can be noisy where the number of files eligible to be migrated are placed far away from each other.

log instances:
[2017-07-20 03:47:00.891430] I [dht-rebalance.c:2858:gf_defrag_task] 0-DHT: Thread sleeping. current thread count: 2
[2017-07-20 03:47:00.891484] I [dht-rebalance.c:2858:gf_defrag_task] 0-DHT: Thread sleeping. current thread count: 2
[2017-07-20 03:47:00.891525] I [dht-rebalance.c:2858:gf_defrag_task] 0-DHT: Thread sleeping. current thread count: 2
[2017-07-20 03:47:00.892125] I [dht-rebalance.c:2858:gf_defrag_task] 0-DHT: Thread sleeping. current thread count: 2
[2017-07-20 03:47:00.892197] I [dht-rebalance.c:2858:gf_defrag_task] 0-DHT: Thread sleeping. current thread count: 2
[2017-07-20 03:47:00.913433] I [dht-rebalance.c:2858:gf_defrag_task] 0-DHT: Thread sleeping. current thread count: 2
Comment 2 Worker Ant 2017-07-25 02:15:31 EDT
REVIEW: https://review.gluster.org/17866 (cluster/dht: change log level to debug for thread activity) posted (#1) for review on master by Susant Palai (spalai@redhat.com)
Comment 3 Worker Ant 2017-07-26 01:06:06 EDT
REVIEW: https://review.gluster.org/17866 (cluster/dht: change log level to debug for thread activity) posted (#2) for review on master by Susant Palai (spalai@redhat.com)
Comment 4 Worker Ant 2017-07-26 17:50:26 EDT
COMMIT: https://review.gluster.org/17866 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit 302aaeeddc64cd31997a4965b81ba772cd1b36c6
Author: Susant Palai <spalai@redhat.com>
Date:   Tue Jul 25 11:43:37 2017 +0530

    cluster/dht: change log level to debug for thread activity
    
      Every time all the thread sleeps or wakes up, we log a message
    about that event. Sometime this can be noisy where the number of
    files eligible to be migrated are placed far away from each other.
    
    Moving the logs to DEBUG.
    
    Change-Id: I4dc2cc9fdf4f42d4001754532a5bc4aeb3f0f959
    BUG: 1474639
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: https://review.gluster.org/17866
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Note You need to log in before you can comment on or make changes to this bug.